package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 音频文件表
 * @TableName ir_voice
 */
@TableName(value ="ir_voice")
@Data
public class IrVoice implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 音频文件base64编码
     */
    private String voiceBase64;

    /**
     * 长度,以秒为单位
     */
    private Integer length;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}