package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 文件表
 * @TableName ir_file
 */
@TableName(value ="ir_file")
@Data
public class IrFile implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件字节编码
     */
    private Object fileByte;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件大小
     */
    private Integer fileSize;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}